SeExpr

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
SeExpr2::ExprScalarAssignSpec Class Reference

Variable equals scalar control specification. More...

`#include <ControlSpec.h>`

Inheritance diagram for SeExpr2::ExprScalarAssignSpec:

## Public Member Functions
| ExprScalarAssignSpec (const ExprAssignNode &node)
virtual std::string | toString () const
| Generates a replacement string based on changes to the spec. More...
double | value () const
Public Member Functions inherited from SeExpr2::ControlSpec
| ControlSpec (const ExprNode &node)
virtual | ~ControlSpec ()

## Static Public Member Functions
static const ExprScalarAssignSpec * | match (const ExprNode *node)

## Private Attributes
double | _min
| Range of values. More...
double | _max
double | _val
| Current Value. More...

## Additional Inherited Members
Protected Attributes inherited from SeExpr2::ControlSpec
std::string | _name
| Name of control. More...
int | _start
| Start position of text in original source. More...
int | _end
| End position of text in original source. More...

## Detailed Description

Variable equals scalar control specification.

Definition at line 53 of file ControlSpec.h.

## Constructor & Destructor Documentation

## ◆ ExprScalarAssignSpec()

SeExpr2::ExprScalarAssignSpec::ExprScalarAssignSpec | ( | const ExprAssignNode & | node | ) |

Definition at line 89 of file ControlSpec.cpp.

References _max, _min, SeExpr2::ControlSpec::_name, SeExpr2::findComment(), and SeExpr2::ExprAssignNode::name().

Referenced by match().

## Member Function Documentation

## ◆ match()

const ExprScalarAssignSpec * SeExpr2::ExprScalarAssignSpec::match | ( | const ExprNode * | node | ) |
| static

Definition at line 109 of file ControlSpec.cpp.

References ExprScalarAssignSpec(), and SeExpr2::isScalarAssign().

Referenced by SeExpr2::SpecExaminer::examine().

## ◆ toString()

std::string SeExpr2::ExprScalarAssignSpec::toString | ( |  | ) | const
| virtual

Generates a replacement string based on changes to the spec.

Implements SeExpr2::ControlSpec.

Definition at line 101 of file ControlSpec.cpp.

References _max, _min, SeExpr2::ControlSpec::_name, and value().

## ◆ value()

double SeExpr2::ExprScalarAssignSpec::value | ( |  | ) | const
| inline

Definition at line 57 of file ControlSpec.h.

References _val.

Referenced by toString().

## Member Data Documentation

## ◆ _max

double SeExpr2::ExprScalarAssignSpec::_max
| private

Definition at line 64 of file ControlSpec.h.

Referenced by ExprScalarAssignSpec(), and toString().

## ◆ _min

double SeExpr2::ExprScalarAssignSpec::_min
| private

Range of values.

Definition at line 64 of file ControlSpec.h.

Referenced by ExprScalarAssignSpec(), and toString().

## ◆ _val

double SeExpr2::ExprScalarAssignSpec::_val
| private

Current Value.

Definition at line 66 of file ControlSpec.h.

Referenced by value().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.cpp